#The GUI for OOMMFq

import wx, os

app = wx.App(None)

#Now that wx is alive, we can import other stuff

import oommfq_core as qcore
import oommfq_gui as gui
import oommfq_net as net

#Make sure expected subdirectories exist.

if not os.path.isdir(qcore.localPath("remote")):
    os.mkdir(qcore.localPath("remote"))

#Start it. This is not that hard- except that we need to make sure someone deals with the lazy reactor.

gui.MainFrame(qcore.OOMMFq, True)
app.MainLoop()
